Package org.eclipse.birt.report.model.api

# Class ParameterHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.ParameterHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IParameterModel`

Direct Known Subclasses:
  `AbstractScalarParameterHandleImpl`

public abstract class ParameterHandle extends ReportElementHandle implements org.eclipse.birt.report.model.elements.interfaces.IParameterModel
Represents the various parameter types. This abstract base parameter element defines properties common to all types of parameters.

See Also:
  - `Parameter`

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IParameterModel

`HELP_TEXT_KEY_PROP, HELP_TEXT_PROP, HIDDEN_PROP, PROMPT_TEXT_ID_PROP, PROMPT_TEXT_PROP, VALIDATE_PROP`

## Constructor Summary

Constructors
Constructor
Description
`ParameterHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs the handle for a parameter with the given design and element.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayPromptText()`
Returns the localized text for prompt text.
`String`
`getHelpText()`
Returns the additional text to display for the parameter to explain how to use the parameter.
`String`
`getHelpTextKey()`
Returns the resource key of the additional text to display for the parameter to explain how to use the parameter.
`String`
`getPromptText()`
get the display prompt text.
`String`
`getPromptTextID()`
Returns the prompt text ID.
`String`
`getValidate()`
Gets the custom validation code for the parameter.
`boolean`
`isHidden()`
Tests whether the parameter will appear in the Requester page.
`void`
`setHelpText(String helpText)`
Returns the additional text to display for the parameter to explain how to use the parameter.
`void`
`setHelpTextKey(String resourceKey)`
Sets the resource key of the additional text to display for the parameter to explain how to use the parameter.
`void`
`setHidden(boolean hidden)`
Sets the hidden property of this parameter.
`void`
`setPromptText(String promptValue)`
Set the value for the display prompt context.
`void`
`setPromptTextID(String promptIDValue)`
Set the value for the prompt text ID.
`void`
`setValidate(String validation)`
Sets the custom validation code for the parameter.

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParameterHandle

public ParameterHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs the handle for a parameter with the given design and element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getHelpText

public String getHelpText()
Returns the additional text to display for the parameter to explain how to use the parameter.

Returns:
  the help text

### setHelpText

public void setHelpText(String helpText) throws SemanticException
Returns the additional text to display for the parameter to explain how to use the parameter.

Parameters:
  `helpText` - the help text
Throws:
  `SemanticException` - if the property is locked.

### getHelpTextKey

public String getHelpTextKey()
Returns the resource key of the additional text to display for the parameter to explain how to use the parameter.

Returns:
  the resource key of the help text

### setHelpTextKey

public void setHelpTextKey(String resourceKey) throws SemanticException
Sets the resource key of the additional text to display for the parameter to explain how to use the parameter.

Parameters:
  `resourceKey` - the resource key of the help text
Throws:
  `SemanticException` - if the property is locked.

### isHidden

public boolean isHidden()
Tests whether the parameter will appear in the Requester page. Parameter is visible by default.

Returns:
  `true` means the parameter will not be visible. `false` means the invisibility of the parameter.

### setHidden

public void setHidden(boolean hidden) throws SemanticException
Sets the hidden property of this parameter. If `true`, the parameter will not appear in the Requester page. Parameter is visible by default.

Parameters:
  `hidden` - `true` if the parameter is visible. Otherwise `false`.
Throws:
  `SemanticException` - if the property is locked.

### getValidate

public String getValidate()
Gets the custom validation code for the parameter.

Returns:
  the custom validation code for the parameter

### setValidate

public void setValidate(String validation) throws SemanticException
Sets the custom validation code for the parameter.

Parameters:
  `validation` - the custom validation code to set
Throws:
  `SemanticException` - if the property is locked

### setPromptText

public void setPromptText(String promptValue) throws SemanticException
Set the value for the display prompt context.

Parameters:
  `promptValue` - The display prompt context.
Throws:
  `SemanticException`

### getPromptText

public String getPromptText()
get the display prompt text.

Returns:
  the display prompt.

### setPromptTextID

public void setPromptTextID(String promptIDValue) throws SemanticException
Set the value for the prompt text ID.

Parameters:
  `promptIDValue` - The prompt text ID.
Throws:
  `SemanticException`

### getPromptTextID

public String getPromptTextID()
Returns the prompt text ID.

Returns:
  the prompt text ID.

### getDisplayPromptText

public String getDisplayPromptText()
Returns the localized text for prompt text. If the localized text for the text resource key is found, it will be returned. Otherwise, the static text will be returned.

Returns:
  the localized text for the prompt text